Random letters
Most popular
Newest
Latest
Hi A. I just hope that you are extremely okay now. I just want you to know that I'm still thinking of you now, if you're okay, if you're doing well. Ayoko na magenglish muna. Pero gusto na...

Read full letter

Sveikute ,Aukseli. Rasau tau per tavo gimtadieni ,nes zinau ,kad tau dabar 17 ir tu jau didele ,subrendusi ,stipri asmenybe ,kokia tave ir isivaizdavau. Tikiuosi ,kad siuo metu esi su Edvinu arba...

Read full letter

dear lenara!!!! happy birthday you lovely gal you!!!! at the moment we are sitting together doing absolutly nothing. its grand. greece is fun its way too hot but whatever! anyway i love you bunches...

Read full letter

Happy birthday fitri Ini fitri masa 16 tahun yang corona corona tu Kaw dh 2 dekad hidup So mesti byk kaw dh belajar sepanjang hidup kaw kan Aq rasa kaw tgh study dekat abroad kalaw lucky atau...

Read full letter

Labas, Simai, Čia Tau rašo Lina iš praeities {{{{: Dabar yra 2012-12-04 diena, Tu geri braškių arbatą ir žaidi savo paauglišką šaudynių žaidimą, o Henrikas guli skalbinių dėžėje...

Read full letter

 
Back
 
 
Next
 
Phrase of the day
 
Create a promise
 
Write a letter